DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Classes | Functions
strhelp.h File Reference

## Classes
struct | dcmtk::log4cplus::helpers::ConvertIntegerToStringHelper< intType >

## Functions
DCMTK_LOG4CPLUS_EXPORT log4cplus::tstring | dcmtk::log4cplus::helpers::toUpper (const log4cplus::tstring &s)
DCMTK_LOG4CPLUS_EXPORT log4cplus::tstring | dcmtk::log4cplus::helpers::toLower (const log4cplus::tstring &s)
template<class StringType >
void | dcmtk::log4cplus::helpers::tokenize (const StringType &s, typename StringType::value_type c, OFVector< StringType > &result, bool collapseTokens=true)
| Tokenize `s` using `c` as the delimiter and put the resulting tokens in `_result`. More...

## Function Documentation

## ◆ tokenize()

template<class StringType >

void dcmtk::log4cplus::helpers::tokenize | ( | const StringType & | s,
|  | typename StringType::value_type | c,
|  | OFVector< StringType > & | result,
|  | bool | collapseTokens = `true`
| ) |  |
| inline

Tokenize `s` using `c` as the delimiter and put the resulting tokens in `_result`.

If `collapseTokens` is false, multiple adjacent delimiters will result in zero length tokens.

Example:

      string s = // Set string with '.' as delimiters
      list<tstring> tokens;
      tokenize(s, '.', back_insert_iterator<list<string> >(tokens));

Parameters

  s | the string to be tokenized
  c | the delimiter to be used to tokenized
  result | the resulting tokens
  collapseTokens | when false, multiple adjacent delimiters will result in zero length tokens.

References OFVector< T >::push_back(), and dcmtk::log4cplus::helpers::tokenize().

Referenced by dcmtk::log4cplus::helpers::tokenize().

## ◆ toLower()

DCMTK_LOG4CPLUS_EXPORT log4cplus::tstring dcmtk::log4cplus::helpers::toLower | ( | const log4cplus::tstring & | s | ) |

Parameters

  s | the value to be converted into lowercase

Returns
  `s` in upper case.

## ◆ toUpper()

DCMTK_LOG4CPLUS_EXPORT log4cplus::tstring dcmtk::log4cplus::helpers::toUpper | ( | const log4cplus::tstring & | s | ) |

Parameters

  s | the value to be converted into uppercase

Returns
  `s` in upper case.

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1